package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.LoginDto;
import com.xy.dto.SatokenAuthorizeDto;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * 权限校验 接口路由
 */
@RestMappingController("authorize")
public interface AuthorizeService {

    /**
     * 接口形式鉴权
     *
     * @return
     */
    @PostMapping("satokenAuthorize")
    R<Boolean> satokenAuthorize(SatokenAuthorizeDto satokenAuthorizeDto);

    /**
     * 登录
     *
     * @return
     */
    @PostMapping("login")
    R<String> login(LoginDto loginDto);

}
